Module java.base
Package java.nio.file

## Enum LinkOption

- java.lang.Object
- - java.lang.Enum<LinkOption>
  - - java.nio.file.LinkOption

All Implemented Interfaces:
  Serializable, Comparable<LinkOption>, CopyOption, OpenOption

    public enum LinkOption
    extends Enum<LinkOption>
    implements OpenOption, CopyOption

Defines the options as to how symbolic links are handled.

Since:
  1.7

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NOFOLLOW_LINKS` Do not follow symbolic links.

### Method Summary

All Methods Static Methods Concrete Methods
`static LinkOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LinkOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOFOLLOW_LINKS

    public static final LinkOption NOFOLLOW_LINKS

Do not follow symbolic links.

See Also:
  `Files.getFileAttributeView(Path,Class,LinkOption[])`, `Files.copy(java.nio.file.Path, java.nio.file.Path, java.nio.file.CopyOption...)`, `SecureDirectoryStream.newByteChannel(T, java.util.Set<? extends java.nio.file.OpenOption>, java.nio.file.attribute.FileAttribute<?>...)`

### Method Detail

#### values

    public static LinkOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LinkOption c : LinkOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LinkOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null